com.google.gwt.view.client

## Class SimpleKeyProvider<T>

- java.lang.Object
- - com.google.gwt.view.client.SimpleKeyProvider<T>

Type Parameters:
  `T` - the data type of records

All Implemented Interfaces:
  ProvidesKey<T>

    public class SimpleKeyProvider<T>
    extends java.lang.Object
    implements ProvidesKey<T>

Simple passthrough implementation of `ProvidesKey`.

### Constructor Summary

Constructors
Constructor and Description
`SimpleKeyProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getKey(T item)` Return the passed-in item.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleKeyProvider

    public SimpleKeyProvider()

### Method Detail

#### getKey

    public java.lang.Object getKey(T item)

Return the passed-in item.

Specified by:
  `getKey` in interface `ProvidesKey<T>`
Parameters:
  `item` - the list item
Returns:
  the key that represents the item